LN(1)

NAME
ln - make links between files

SYNOPSIS
ln [OPTION]... TARGET [LINK_NAME]
ln [OPTION]... TARGET... DIRECTORY

DESCRIPTION

Create a link to the specified TARGET with optional LINK_NAME. If there is more than one TARGET, the last argument must be a directory; create links in DIRECTORY to each TARGET. Create hard links by default, symbolic links with --symbolic. When creating hard links, each TARGET must exist.

-b, --backup
    make a backup of each existing destination file

-d, -F, --directory
    hard link directories (super-user only)

-f, --force
    remove existing destination files

-n, --no-dereference
    treat destination that is a symlink to a directory as if it were a normal file

-i, --interactive
    prompt whether to remove destinations

-s, --symbolic
    make symbolic links instead of hard links

-S, --suffix=SUFFIX
    override the usual backup suffix

-v, --verbose
    print name of each file before linking

-V, --version-control=WORD
    override the usual version control

--help
    display this help and exit

--version
    output version information and exit

The backup suffix is ~, unless set with SIMPLE_BACKUP_SUFFIX. The version control may be set with VERSION_CONTROL, values are:

t, numbered
    make numbered backups

nil, existing
    numbered if numbered backups exist, simple otherwise

never, simple
    always make simple backups

REPORTING BUGS
Report bugs to <bug-fileutils@gnu.org>.

SEE ALSO
The full documentation for ln is maintained as a Texinfo manual. If the info and ln programs are properly installed at your site, the command

    info ln

should give you access to the complete manual.